Name:           python-pyramid-session-redis
Version:        1.7.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        High performance and actively maintained server-side session framework for Pyramid and Redis.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jvanasco/pyramid_session_redis
Source:         %{pypi_source pyramid_session_redis}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyramid-session-redis' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyramid-session-redis
Summary:        %{summary}

%description -n python3-pyramid-session-redis %_description


%prep
%autosetup -p1 -n pyramid_session_redis-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyramid-session-redis -f %{pyproject_files}


%changelog
%autochangelog